#!/bin/bash
#
# This script runs nosdd.tcl every 28, 29, 58, and 59 minutes past the hour
# I used a sleep interval of 58 seconds to prevent the chance that
# the script might miss one of its time windows. (tivo has a rather
# bad clock, or at least the date command would indicate so.)
#

while true
do
	if [ `date +%M` -eq 28 ]
	then
		/hack/nosdd.tcl
	fi
	if [ `date +%M` -eq 29 ]
	then
		/hack/nosdd.tcl
	fi
	if [ `date +%M` -eq 58 ]
	then
		/hack/nosdd.tcl
	fi
	if [ `date +%M` -eq 59 ]
	then
		/hack/nosdd.tcl
	fi
	sleep 58
done
